Bug 706235 - group Configuration>Current subtab should show info message, not error message, when a config update is still in progress
group Configuration>Current subtab should show info message, not error messag...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-05-19 16:25 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-05-19 16:25:15 EDT
Go to a compat group's Config>Current subtab, edit and save the config. You'll be redirected to the History subtab. Quickly go back to the Current subtab before the config update has completed. You'll see a red error message:

"Failed to retrieve member Resource configurations for [ResourceGroup[id=10001, name=RHQ Agents, category=COMPATIBLE, type=RHQ Agent, isDynaGroup=false, isClusterGroup=false]]"

This is an expected condition, not an error, so it should be a green info message, rather than a red error message. Also, when this condition occurs, the Save button should not be displayed on the view, since there is no config to be saved. Instead, a "Try Again"/"Retry" button should be displayed, that the user can click to retry the group config load.
Comment 1 Charles Crouch 2011-09-30 13:52:13 EDT
removing superfluous trackers
Comment 2 Charles Crouch 2011-09-30 13:52:20 EDT
This seems more like a medium priority, given the user just came from the 
config page, and no functionality is actually broken

Note You need to log in before you can comment on or make changes to this bug.